Bug 1044594

Summary: [WFLY-2663] mod_cluster metric properties are never applied
Product: [JBoss] JBoss Enterprise Application Platform 6 Reporter: Radoslav Husar <rhusar>
Component: mod_clusterAssignee: Radoslav Husar <rhusar>
Status: CLOSED CURRENTRELEASE QA Contact: Michal Karm Babacek <mbabacek>
Severity: unspecified Docs Contact: Russell Dickenson <rdickens>
Priority: unspecified    
Version: 6.2.0CC: kkhan, paul.ferraro, rhusar, smumford
Target Milestone: DR0   
Target Release: EAP 6.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
In previous versions of the mod_cluster subsystem configured load metrics and properties specified for them were parsed from the XML, but not applied to classes. This meant that configuring properties for load metrics did not have any effect. In this release, the properties are applied to the objects as expected.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-28 15:27:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Radoslav Husar 2013-12-18 15:58:12 UTC
Description of problem:
mod_cluster metric properties are parsed for but are never applied

Version-Release number of selected component (if applicable):
Whole 6.x tree


How reproducible:
Always


Steps to Reproduce:
1. setup a custom load metric with properties
2. start EAP

Actual results:
props are not applied


Expected results:
props are applied

Additional info:
n/a

Comment 1 Radoslav Husar 2013-12-18 15:59:02 UTC
https://issues.jboss.org/browse/WFLY-2663

Comment 3 Michal Karm Babacek 2014-02-24 14:03:13 UTC
Verified with 6.3.0.Alpha1 (DR0).

Comment 4 Radoslav Husar 2014-06-30 11:47:18 UTC
Documentation: this is a bugfix, we should document this. People might not have been aware that these were never applied. It might break their existing custom load metrics in case they did not have correct configuration in previous versions.